Package org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Class PSRpcFactory

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcFactory

-     public class PSRpcFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PSRpcFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.spark.network.server.TransportServer` | `createServer​(org.apache.spark.SparkConf conf, LocalParamServer ps, String host)` | Create and start the server
    `static SparkPSProxy` | `createSparkPSProxy​(org.apache.spark.SparkConf conf, int port, org.apache.spark.util.LongAccumulator aRPC)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSRpcFactory

          public PSRpcFactory()

  - ### Method Detail

    - #### createServer

          public static org.apache.spark.network.server.TransportServer createServer​(org.apache.spark.SparkConf conf,
                                                                                     LocalParamServer ps,
                                                                                     String host)

      Create and start the server
      Parameters:
        `conf` - spark config
        `ps` - LocalParamServer object
        `host` - hostname
      Returns:
        server

    - #### createSparkPSProxy

          public static SparkPSProxy createSparkPSProxy​(org.apache.spark.SparkConf conf,
                                                        int port,
                                                        org.apache.spark.util.LongAccumulator aRPC)
                                                 throws IOException,
                                                        InterruptedException

      Throws:
        `IOException`
        `InterruptedException`